import { Serializer } from '@lorisleiva/js-core';
export declare const u8: () => Serializer<number, number>;
export declare const u16: () => Serializer<number, number>;
export declare const u32: () => Serializer<number, number>;
export declare const i8: () => Serializer<number, number>;
export declare const i16: () => Serializer<number, number>;
export declare const i32: () => Serializer<number, number>;
export declare const u64: () => {
    serialize: (value: number | bigint) => Uint8Array;
    description: string;
    fixedSize: number | null;
    maxSize: number | null;
    deserialize: (buffer: Uint8Array, offset?: number | undefined) => [bigint, number];
};
export declare const u128: () => {
    serialize: (value: number | bigint) => Uint8Array;
    description: string;
    fixedSize: number | null;
    maxSize: number | null;
    deserialize: (buffer: Uint8Array, offset?: number | undefined) => [bigint, number];
};
export declare const i64: () => {
    serialize: (value: number | bigint) => Uint8Array;
    description: string;
    fixedSize: number | null;
    maxSize: number | null;
    deserialize: (buffer: Uint8Array, offset?: number | undefined) => [bigint, number];
};
export declare const i128: () => {
    serialize: (value: number | bigint) => Uint8Array;
    description: string;
    fixedSize: number | null;
    maxSize: number | null;
    deserialize: (buffer: Uint8Array, offset?: number | undefined) => [bigint, number];
};
